/***********************************************************************
*  GAME.JS
*
*  (C) 2004 - Brent Gustafson - vitaflo.com
***********************************************************************/

var yplace = 0;
var ymax = 210;
var ymin = 0;
var xplace = 0;
var gamesHeight = 0;
var dist = 30;
var gamesId = "games";
var gamesClipId = "gamesClipping";
var hiliteColor = "#C3D154";
var curGame = 7;
var systemRom = null;
var ext = null;
var numGames = 0;

document.onkeypress = doKeyPress;

function shiftTo(obj, x, y) {
    obj.style.left = x + "px";
    obj.style.top = y + "px";
}


function hilite(dir, page) {
	document.getElementById("g" + curGame).style.backgroundColor = "transparent";
	document.getElementById("d" + curGame).style.display = "none";
	if (dir) {
		if (page) {
			curGame -= 15;
			if (curGame < 1) curGame = 1;
		}
		else if (curGame > 1) curGame--;
	}
	else {
		if (page) {
			curGame += 15;
			if (curGame > numGames) curGame = numGames;
		}
		else if (curGame < numGames) curGame++;
	}
	scroll();
	document.getElementById("d" + curGame).style.display = "block";
	document.getElementById("g" + curGame).style.backgroundColor = hiliteColor;
	document.getElementById("selected").innerHTML = "Game " + curGame + " of " + numGames + " selected";
}


function scroll() {
    if ((yplace <= ymax) && (yplace >= ymin)) {
    	yplace = (curGame * dist * -1) + 240;
      	if (yplace > ymax) yplace = ymax;
      	else if (yplace < ymin) yplace = ymin;
      	shiftTo(document.getElementById(gamesId), xplace, yplace);
    }
}


function load() {
	document.getElementById("loading").style.display = "block";
	document.getElementById("loading").innerHTML = "<table><tr><td>Loading " + document.getElementById("g" + curGame).innerHTML + "...</td></tr></table>";
	setTimeout("document.getElementById('loading').style.display = 'none';", 4500);
}

function goTo() {
	document.location = "/Users/vitaflo/Documents/ROMs/" + systemRom + "/console/" + document.getElementById("g" + curGame).innerHTML + ext;
}


function setCookie(name, value, expires, path, domain, secure) {
	var today = new Date();
	today.setTime(today.getTime());
	
	if (expires) {
		expires = expires * 1000 * 60 * 60 * 24;
	}
	var expires_date = new Date(today.getTime() + (expires));
	
	document.cookie = name + "=" + escape(value) + ((expires) ? ";expires=" + expires_date.toGMTString() : "") + ((path) ? ";path=" + path : "") + ((domain) ? ";domain=" + domain : "") + ((secure) ? ";secure" : "");
}


function getCookie(name) {
	var start = document.cookie.indexOf(name + "=");
	var len = start + name.length + 1;
	if ((!start) && (name != document.cookie.substring(0, name.length))) {
		return null;
	}
	if (start == -1) return null;
	var end = document.cookie.indexOf(";", len);
	if (end == -1) end = document.cookie.length;
	return unescape(document.cookie.substring(len, end));
}


function doKeyPress(DnEvents) {
	k = DnEvents.which;
	if (k == 102) {
		hilite(0,0);
	}
	else if (k == 114) {
		hilite(1,0);
	}
	else if (k == 103) {
		hilite(0,1);
	}
	else if (k == 100) {
		hilite(1,1);
	}
	else if (k == 113) {
		load();
		goTo();
	}
}


function init() {
    gamesHeight = parseInt(document.getElementById(gamesClipId).offsetHeight);
    ymin = (parseInt(document.getElementById(gamesId).offsetHeight) - gamesHeight + 210) * -1;
	hilite(0,0);
    self.focus();
}


/***********************************************************************
*  END OF LINE
***********************************************************************/