/***********************************************************************
*  GAME.JS
*
*  (C) 2004 - Brent Gustafson - vitaflo.com
***********************************************************************/

var yplace = 0;	//y pos of game list
var ymax = 210;	//y max pos of game list
var ymin = 0;	//y min pos of game list
var xplace = 0;	//x pos of game list
var dist = 30;	//distance to move games list for scroll
var gamesHeight = 0;	//height of game list
var gamesId = "games";	//games div ID
var gamesClipId = "gamesClipping";	//games clip ID
var hiliteColor = "#C3D154";  //highlight color
var curGame = 7;	//current game highlighted
var prevGame = 0;	//previous game highlighted
var curSys = 0;		//current system displayed
var numGames = 0;	//number of games
var ext = null;		//extension of ROM
var systemRom = null;	//current system name
var systemName = new   Array("2600Ren","5200Ren","VectRen","NESRen","SMSRen","PCERen","GenRen","SNESRen","GBRen","LynxRen","GGRen","VBoyRen","GBCRen","NGPRen","GBARen");	//system name array

document.onkeypress = doKeyPress;	//capture keyboard events


//move object
function shiftTo(obj, x, y) {
    obj.style.left = x + "px";
    obj.style.top = y + "px";
}


//incriment/decriment current game
function incriment(num) {
	prevGame = curGame;
	curGame += num;
	if (curGame > numGames) curGame = numGames;
	else if (curGame < 1) curGame = 1;
	hilite();
}


//highlight current game
function hilite() {
	if (prevGame) document.getElementById("g" + prevGame).style.backgroundColor = "transparent";
	scroll();
	detail();
	document.getElementById("g" + curGame).style.backgroundColor = hiliteColor;
	document.getElementById("selected").innerHTML = "Game " + curGame + " of " + numGames + " selected";
}


//generate game detail HTML
function detail() {
	document.getElementById("detail").innerHTML = "<div class=\"titleClip\"><div class=\"title\">" + document.getElementById("g" + curGame).innerHTML + "</div></div><div class=\"screenClip\"><table class=\"screen\"><tr><td><img src=\"screens/" + systemRom + "/" + document.getElementById("g" + curGame).innerHTML + ".png\"/></tr></td></table></div>";
}


//scroll list to current game spot
function scroll() {
    if ((yplace <= ymax) && (yplace >= ymin)) {
    	yplace = (curGame * dist * -1) + 240;
      	if (yplace > ymax) yplace = ymax;
      	else if (yplace < ymin) yplace = ymin;
      	shiftTo(document.getElementById(gamesId), xplace, yplace);
    }
}


//display loading screen
function load() {
	document.getElementById("loading").style.display = "block";
	document.getElementById("loading").innerHTML = "<table><tr><td>Loading " + document.getElementById("g" + curGame).innerHTML + "...</td></tr></table>";
	setCookie("system", curSys, 365);
	setCookie("rom", curGame, 365);
	setTimeout("document.getElementById('loading').style.display = 'none';", 4500);
}


//open ROM in emu
function play() {
	document.location = "/Users/vitaflo/Documents/ROMs/" + systemRom + "/console/" + document.getElementById("g" + curGame).innerHTML + ext;
}


//show next console
function gotoSys(num) {
	curSys += num;
	if (curSys >= systemName.length) curSys = 0;
	else if (curSys < 0) curSys = systemName.length-1;
	document.location = "/Users/vitaflo/Documents/console/" + systemName[curSys] + ".html";
}

//save a cookie
function setCookie(name, value, expires, path, domain, secure) {
	var today = new Date();
	today.setTime(today.getTime());
	
	if (expires) {
		expires = expires * 1000 * 60 * 60 * 24;
	}
	var expires_date = new Date(today.getTime() + (expires));
	
	document.cookie = name + "=" + escape(value) + ((expires) ? ";expires=" + expires_date.toGMTString() : "") + ((path) ? ";path=" + path : "") + ((domain) ? ";domain=" + domain : "") + ((secure) ? ";secure" : "");
}


//read a cookie
function getCookie(name) {
	var start = document.cookie.indexOf(name + "=");
	var len = start + name.length + 1;
	if ((!start) && (name != document.cookie.substring(0, name.length))) {
		return null;
	}
	if (start == -1) return null;
	var end = document.cookie.indexOf(";", len);
	if (end == -1) end = document.cookie.length;
	return unescape(document.cookie.substring(len, end));
}


//figure out keyboard press
function doKeyPress(DnEvents) {
	k = DnEvents.which;
	if (k == 102) {			//F-down
		incriment(1);
	}
	else if (k == 114) {	//R-up
		incriment(-1);
	}
	else if (k == 103) {	//G-page down
		incriment(15);
	}
	else if (k == 100) {	//D-page up
		incriment(-15);
	}
	else if (k == 113) {	//Q-game start
		load();
		play();
	}
	else if (k == 116) {	//T-next system
		gotoSys(1);
	}
	else if (k == 101) {	//E-prev system
		gotoSys(-1);
	}
}


//initialize
function init() {
    gamesHeight = parseInt(document.getElementById(gamesClipId).offsetHeight);
    ymin = (parseInt(document.getElementById(gamesId).offsetHeight) - gamesHeight + 210) * -1;
	if (getCookie("system") == curSys) {
		curGame = parseInt(getCookie("rom"));
	}
	else curGame = Math.floor(numGames/2);
	hilite();
    self.focus();
}


/***********************************************************************
*  END OF LINE
***********************************************************************/