#!/usr/bin/perl

$curSys = 5;

@system = ("2600Ren","5200Ren","VectRen","NESRen","SMSRen","PCERen","GenRen","SNESRen","GBRen","LynxRen","GGRen","VBoyRen","GBCRen","NGPRen","GBARen");

@ext = (".a26",".a52",".vec",".nes",".sms",".pce",".bin",".smc",".gb",".lnx",".gg",".vb",".gbc",".ngp",".gba");

@meta = ("Atari 2600<br/>1977, 8-bit<br/>1 Button","Atari 5200<br/>1981, 8-bit<br/>2 Buttons","GCE Vectrex<br/>1982, 8-bit<br/>4 Buttons","Nintendo Entertainment System<br/>1985, 8-bit<br/>2 Buttons","Sega Master System<br/>1986, 8-bit<br/>2 Buttons","NEC TurboGrafx-16<br/>1989, 16-bit<br/>2 Buttons","Sega Genesis<br/>1989, 16-bit<br/>3 Buttons","Super Nintendo Entertainment System<br/>1991, 16-bit<br/>4 Buttons, 2 Shoulder","Nintendo Gameboy<br/>1989, 8-bit<br/>2 Buttons","Sega Genesis<br/>1989, 16-bit<br/>3 Buttons","Atari Lynx<br/>1990, 16-bit<br/>2 Buttons","Sega Game Gear<br/>1991, 8-bit<br/>2 Buttons","Nintendo Virtual Boy<br/>1995, 16-bit<br/>3 Buttons","Nintendo Gameboy Color<br/>1996, 8-bit<br/>2 Buttons","Neo Geo Pocket Color<br/>1999, 16-bit<br/>2 Buttons","Nintendo Gameboy Advance<br/>2001, 32-bit<br/>2 Buttons, 2 Shoulder");

#$localPath = "/Volumes/Bit/Emulation/";
$localPath = "/Users/vitaflo/Documents/";
$dirtoget = $localPath . "ROMs/" . $system[$curSys] . "/console";

opendir(IMD, $dirtoget) || die("Cannot open directory $dirtoget");
@thefiles= readdir(IMD);
closedir(IMD);

open(fileOUT, ">$system[$curSys].html") or die("Can't open file for writing: $!");
print fileOUT "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"
        \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">

<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"en\">

<title>Console Emulation Station</title>

<meta http-equiv=\"Content-Type\" content=\"text/html; charset=ISO-8859-1\" />
<link rel=\"stylesheet\" type=\"text/css\" href=\"game2.css\"/>
<script type=\"text/javascript\" src=\"game.js\"></script>

<body onload=\"init();\">

<div class=\"main\" style=\"background-image: url(images/$system[$curSys].png);\">

<div id=\"selected\"></div>

<div id=\"gamesClipping\">

<div id=\"games\">\n";

$count = 1;
foreach $f (@thefiles)
{
  unless ($f =~ m/^\./) #take out hidden files
  {
   $g = substr($f, 0, - 4);
   print fileOUT "<div id=\"g$count\" class=\"game\">$g</div>\n";
   $count++;
  }
}

$count--;

print fileOUT "</div>
</div>

<script language=\"javascript\">
	numGames = $count;
	systemRom = \"$system[$curSys]\";
	ext = \"$ext[$curSys]\";
</script>\n";

$count = 1;
foreach $f (@thefiles)
{
  unless ($f =~ m/^\./) #take out hidden files
  {
   $g = substr($f, 0, - 4);
   print fileOUT "<div id=\"d$count\" class=\"detail\">
<div class=\"titleClip\"><div class=\"title\">$g</div></div>
<div class=\"screenClip\"><table class=\"screen\"><tr><td><img src=\"screens/$system[$curSys]/$g.png\"/></tr></td></table></div>
</div>\n";
   $count++;
  }
}

print fileOUT "<div class=\"meta\">$meta[$curSys]</div>

<div id=\"loading\"></div>

</div>

</body>
</html>";
close(fileOUT);

# Javascript
#1. id="g1" text="hi"
#2. id="g2" text="mid"
#3. id="g3" text="lo"

#path = "/file/path/"
#ext = ".bin"
#curGame = "2"
#file = document.getElementById("g" + curGame).innerHTML;

#link = path + file + ext;
#document.location = link;


#Keyboard Encodings
#R = Up
#F = Down
#G = Right
#D = Left
#T = Right shoulder
#E = Left shoulder
#Q = Start

#cut bg image by 44px to account for menubars