#!/usr/bin/perl

#system names
@system = ("2600Ren","5200Ren","VectRen","NESRen","SMSRen","PCERen","GenRen","SNESRen","GBRen","LynxRen","GGRen","VBoyRen","GBCRen","NGPRen","GBARen");

#ROM Extensions
@ext = (".a26",".a52",".vec",".nes",".sms",".pce",".bin",".smc",".gb",".lnx",".gg",".vb",".gbc",".ngp",".gba");

#meta data
@meta = ("Atari 2600<br/>1977, 8-bit<br/>1 Button","Atari 5200<br/>1981, 8-bit<br/>2 Buttons","GCE Vectrex<br/>1982, 8-bit<br/>4 Buttons","Nintendo Entertainment System<br/>1985, 8-bit<br/>2 Buttons","Sega Master System<br/>1986, 8-bit<br/>2 Buttons","NEC TurboGrafx-16<br/>1989, 16-bit<br/>2 Buttons","Sega Genesis<br/>1989, 16-bit<br/>3 Buttons","Super Nintendo Entertainment System<br/>1991, 16-bit<br/>4 Buttons, 2 Shoulder","Nintendo Gameboy<br/>1989, 8-bit<br/>2 Buttons","Sega Genesis<br/>1989, 16-bit<br/>3 Buttons","Atari Lynx<br/>1990, 16-bit<br/>2 Buttons","Sega Game Gear<br/>1991, 8-bit<br/>2 Buttons","Nintendo Virtual Boy<br/>1995, 16-bit<br/>3 Buttons","Nintendo Gameboy Color<br/>1996, 8-bit<br/>2 Buttons","Neo Geo Pocket Color<br/>1999, 16-bit<br/>2 Buttons","Nintendo Gameboy Advance<br/>2001, 32-bit<br/>2 Buttons, 2 Shoulder");

#path to where ROMs/screens reside
#$localPath = "/Volumes/Bit/Emulation/";
$localPath = "/Users/vitaflo/Documents/";


for ($i=0; $i<$system.length; $i++) {

$dirtoget = $localPath . "ROMs/" . $system[$i] . "/console";

#read in game list from dir
opendir(IMD, $dirtoget) || die("Cannot open directory $dirtoget");
@thefiles= readdir(IMD);
closedir(IMD);

open(fileOUT, ">$system[$i].html") or die("Can't open file for writing: $!");

print fileOUT "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"
        \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">

<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"en\">

<title>Console Emulation Station</title>

<meta http-equiv=\"Content-Type\" content=\"text/html; charset=ISO-8859-1\" />
<link rel=\"stylesheet\" type=\"text/css\" href=\"game2.css\"/>
<script type=\"text/javascript\" src=\"game2.js\"></script>

<body onload=\"init();\">

<div class=\"main\" style=\"background-image: url(images/$system[$i].png);\">

<div id=\"selected\"></div>

<div id=\"gamesClipping\">

<div id=\"games\">\n";

#output game list
$count = 1;
foreach $f (@thefiles)
{
  unless ($f =~ m/^\./) #take out hidden files
  {
   $g = substr($f, 0, - 4);
   print fileOUT "<div id=\"g$count\" class=\"game\">$g</div>\n";
   $count++;
  }
}

$count--;

print fileOUT "</div>
</div>

<script language=\"javascript\">
	numGames = $count;
	systemRom = \"$system[$i]\";
	ext = \"$ext[$i]\";
	curSys = $i;
</script>

<div id=\"detail\" class=\"detail\"></div>

<div class=\"meta\">$meta[$i]</div>

<div id=\"loading\"></div>

</div>

</body>
</html>";
close(fileOUT);

}
